/**
 * 这是所有模块公用业务逻辑的服务
 */
export default class CommonService {
	constructor(AjaxService) {
		Object.assign(this, { AjaxService })
		this.name = 'CommonService'
	}
	/* 首页导航模块商品列表 */
	GetHomeClassify (data = {}) {
		return this.AjaxService.get({ url:'/home/classify', data, isLoading: true })
	}
	/* 首页初始化 */
	GetHomeModulesDataInfo (data = {}) {
		return this.AjaxService.get({ url:'/home/modules', data, isLoading: false })
	}
	/* 首页楼层数据 */
	GetHomeDataInfo (data = {}) {
		return this.AjaxService.get({ url:'/home/data', data, isLoading: false })
	}
	/* 首页楼层查看更多数据 */
	GetHomeFloorContentDetails (data = {}) {
		return this.AjaxService.get({ url:'/home/floorContentDetails', data, isLoading: false })
	}
	/* 二级页楼层查看更多数据 */
	GePageFloorContentDetails (data = {}) {
		return this.AjaxService.get({ url:'/home/pageFloorDetails', data, isLoading: false })
	}
	/* 首页顶部三个模块数据 */
	GetHomeTopDataInfo (data = {}) {
		return this.AjaxService.get({ url:'/home/top/data', data, isLoading: false })
	}
	/* 获取其他服务信息 */
	QueryAfterSale (data = {}) {
		return this.AjaxService.get({ url:'/home/afterSale', data, isLoading: false })
	}
	/* 首页金刚区分类 */
	GetHomeInit (data = {}) {
		return this.AjaxService.get({ url:'/home/init', data, isLoading: false })
	}
	/* 首页金刚区二级分类 */
	GetHomeSubMenu (data = {}) {
		return this.AjaxService.get({ url:'/home/subMenu', data, isLoading: false })
	}
	/* 首页楼层 */
	GetHomeFloorInfo (data = {}) {
		return this.AjaxService.get({ url:'/home/floor', data, isLoading: false })
	}
	/* 直播专题页图片 */
	GetHomeLiveAdvertising (data = {}) {
		return this.AjaxService.get({ url:'/home/live/advertising', data, isLoading: false })
	}
	/* 搜索热门关键词 */
	GetHomeHotSearchTerms (data = {}) {
		return this.AjaxService.get({ url:'/home/hotSearchTerms', data, isLoading: false })
	}
	/* 二级列表楼层 */
	GetInstrumentPageData (data = {}) {
		return this.AjaxService.get({ url:'/home/instrumentData', data, isLoading: false })
	}
	/* 一级分类 */
	GetFirstClassly (data = {}) {
		return this.AjaxService.get({ url:'/product/classify', data, isLoading: false })
	}
	/* 根据一级分类获取二、三级分类 */
	GetProductChildrenClassly (data = {}) {
		return this.AjaxService.get({ url:'/product/bigType/classify', data, isLoading: false })
	}
	/* 根据一、二、三级分类ID查询单条分类 */
	GetProductOneClassly (data = {}) {
		return this.AjaxService.get({ url:'/product/typeId/classify', data, isLoading: false })
	}
	
}
